#!/bin/sh
##############################################################
#    Author:    Yasuko Matsubara 
#    Email:     yasuko@cs.kumamoto-u.ac.jp
#    URL:       http://www.cs.kumamoto-u.ac.jp/~yasuko/
#    Created:   2016-06-09
##############################################################

echo "=================="
echo " RegimeCast       "
echo "=================="


#--- mocap: chicken dance
stream="_dat/mocap/21_01.amc.4d"
outdir="./_out/tmp/mocap_21_01/"
lstep=30
#--- mocap: exercise
#stream="_dat/mocap/86_11.amc.4d"
#outdir="./_out/tmp/mocap_86_01/"
#lstep=100
#--- google: social media
#stream="_dat/google/socialmedia_g_ma4"
#outdir="./_out/tmp/gt_socialmedia/"
#lstep=13 #3month-ahead

mkdir $outdir
echo "------------------"
echo "START: "
echo  $stream
echo  $outdir
echo "------------------"
#echo "Please see log.txt >>>  " $outdir"log.txt"

# without modelDB (please use this)
python -W ignore main_rc.py -s $stream  -o $outdir -l $lstep #> $outdir"log.txt"

# with modelDB (if modelDB is given)
#modelDBfn=$outdir"MDBH.obj"
#python -W ignore main_rc.py -s $stream  -o $outdir -l $lstep -q $modelDBfn -i "no" #> $outdir"logi.txt"

echo "=================="
echo " RegimeCast END   "
echo "=================="




