%------------------------------------------------------------
% Author:    Yasuko Matsubara 
% Email:     yasuko@cs.kumamoto-u.ac.jp
% URL:       http://www.cs.kumamoto-u.ac.jp/~yasuko/
% Date:      2016-09-15
%------------------------------------------------------------
% Copyright (C) 2015--2016 Yasuko Matsubara & Yasushi Sakurai
%------------------------------------------------------------

addpath('./viz/')
addpath('./viz/tools/')

%------------------------%
CDIR='./_out/demo/mocap_21_01/';
close all;
%------------------------%


%------------------------%
% full-plot
mkdir([CDIR,'_viz/'])
M_regimesnap_full(CDIR,[CDIR,'_viz/'])
%------------------------%

%------------------------%
% create snap-shot-video
close all;
rps=15; 
M_regimesnap_ss(CDIR,[CDIR,'_viz/'], rps)
return 
%------------------------%

%------------------------%
% snapshot
SNAPONLY=true;
figure(); M_regimesnap_t(CDIR,1104,SNAPONLY, [], [], [], []);
figure(); M_regimesnap_t(CDIR,1200,SNAPONLY, [], [], [], []);
%------------------------%




