%------------------------------------------------------------
% Author:    Yasuko Matsubara 
% Email:     yasuko@cs.kumamoto-u.ac.jp
% URL:       http://www.cs.kumamoto-u.ac.jp/~yasuko/
% Date:      2016-09-15
%------------------------------------------------------------
% Copyright (C) 2015--2016 Yasuko Matsubara & Yasushi Sakurai
%------------------------------------------------------------
function [X, Ve, Vf_full, Ticks] = M_regimesnap_t(DIR, t, ssONLY, X, Ve, Vf_full, Ticks)

% load snapshot
if(isempty(Ticks)) 
    load([DIR,'Snaps.mat']); 
end
% find snapshot (t: time tick)
idx=find(Ticks(:,2)==t);
if(isempty(idx)); return; end;
% plot snapshot by index
[X, Ve, Vf_full, Ticks] = M_regimesnap_idx(DIR, idx, ssONLY, X, Ve, Vf_full, Ticks);

return; 

